#include <iostream>

#include <TTree.h>
#include <TCutG.h>

#include <QApplication>
#include "treeview.h"

int main(int argc, char** argv)
{
  
  QApplication app(argc,argv);
  TreeViewer *tv = new TreeViewer;
  tv->openFile("hsimple.root");
  if(!tv->getTree("ntuple")) {
    exit(EXIT_FAILURE); 
  }
  tv->draw();
  tv->show();
  
  app.connect( tv, SIGNAL( destroyed()), &app, SLOT( quit() ) );

  
  return app.exec();
}
